Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Map_Impl_Reverse_Iterator_Adapter Class Template Reference

Defines a reverse iterator implementation for the Map_Impl class. More...

`#include <Map_T.h>`

Inheritance diagram for ACE_Map_Impl_Reverse_Iterator_Adapter

[legend]
Collaboration diagram for ACE_Map_Impl_Reverse_Iterator_Adapter:

[legend]
List of all members.

## Public Types
typedef IMPLEMENTATION | implementation
## Public Methods
| ACE_Map_Impl_Reverse_Iterator_Adapter (const IMPLEMENTATION &impl)
| Constructor.
virtual | ~ACE_Map_Impl_Reverse_Iterator_Adapter (void)
| Destructor.
virtual ACE_Reverse_Iterator_Impl< T>* | clone (void) const
| Clone.
virtual int | compare (const ACE_Reverse_Iterator_Impl<T> &rhs) const
| Comparison.
virtual T | dereference (void) const
| Dereference.
virtual void | plus_plus (void)
| Advance.
virtual void | minus_minus (void)
| Reverse.
IMPLEMENTATION& | impl (void)
| Accessor to implementation object.
## Protected Attributes
IMPLEMENTATION | implementation_
| All implementation details are forwarded to this class.

## Detailed Description

### template<class T, class IMPLEMENTATION, class ENTRY> template class ACE_Map_Impl_Reverse_Iterator_Adapter

Defines a reverse iterator implementation for the Map_Impl class.

Implementation to be provided by IMPLEMENTATION.

## Member Typedef Documentation

template<classT, classIMPLEMENTATION, classENTRY>
typedef IMPLEMENTATION ACE_Map_Impl_Reverse_Iterator_Adapter<T, IMPLEMENTATION, ENTRY>::implementation

## Constructor & Destructor Documentation

template<classT, classIMPLEMENTATION, classENTRY>
ACE_INLINE ACE_Map_Impl_Reverse_Iterator_Adapter< T,IMPLEMENTATION,ENTRY >::ACE_Map_Impl_Reverse_Iterator_Adapter<T, IMPLEMENTATION, ENTRY> ( | const IMPLEMENTATION & impl )

| Constructor.

template<classT, classIMPLEMENTATION, classENTRY>
ACE_INLINE ACE_Map_Impl_Reverse_Iterator_Adapter< T,IMPLEMENTATION,ENTRY >::~ACE_Map_Impl_Reverse_Iterator_Adapter<T, IMPLEMENTATION, ENTRY> ( | void )`[virtual]`

| Destructor.

## Member Function Documentation

template<classT, classIMPLEMENTATION, classENTRY>
ACE_INLINE ACE_Reverse_Iterator_Impl< T >* ACE_Map_Impl_Reverse_Iterator_Adapter< T,IMPLEMENTATION,ENTRY >::clone ( | void ) const`[virtual]`

| Clone. Reimplemented from ACE_Reverse_Iterator_Impl.

template<classT, classIMPLEMENTATION, classENTRY>
ACE_INLINE int ACE_Map_Impl_Reverse_Iterator_Adapter< T,IMPLEMENTATION,ENTRY >::compare ( | const ACE_Reverse_Iterator_Impl< T >& rhs ) const`[virtual]`

| Comparison. Reimplemented from ACE_Reverse_Iterator_Impl.

template<classT, classIMPLEMENTATION, classENTRY>
ACE_INLINE T ACE_Map_Impl_Reverse_Iterator_Adapter< T,IMPLEMENTATION,ENTRY >::dereference ( | void ) const`[virtual]`

| Dereference. Reimplemented from ACE_Reverse_Iterator_Impl.

template<classT, classIMPLEMENTATION, classENTRY>
ACE_INLINE IMPLEMENTATION & ACE_Map_Impl_Reverse_Iterator_Adapter< T,IMPLEMENTATION,ENTRY >::impl ( | void )

| Accessor to implementation object.

template<classT, classIMPLEMENTATION, classENTRY>
ACE_INLINE void ACE_Map_Impl_Reverse_Iterator_Adapter< T,IMPLEMENTATION,ENTRY >::minus_minus ( | void )`[virtual]`

| Reverse. Reimplemented from ACE_Reverse_Iterator_Impl.

template<classT, classIMPLEMENTATION, classENTRY>
ACE_INLINE void ACE_Map_Impl_Reverse_Iterator_Adapter< T,IMPLEMENTATION,ENTRY >::plus_plus ( | void )`[virtual]`

| Advance. Reimplemented from ACE_Reverse_Iterator_Impl.

## Member Data Documentation

template<classT, classIMPLEMENTATION, classENTRY>
IMPLEMENTATION ACE_Map_Impl_Reverse_Iterator_Adapter<T, IMPLEMENTATION, ENTRY>::implementation_`[protected]`

| All implementation details are forwarded to this class.

The documentation for this class was generated from the following files:

- Map_T.h
- Map_T.i